/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.enums;

/**
 *
 * @author Administrator
 */
public enum ResultEnum {
    success("100", "成功"),
    fail101("101", "失败"),
    warn201("201", "手机已经注册过"),
    warn202("202", "手机未注册"),
    warn203("203", "未知操作"),//获取验证码时
    warn204("204", "密码不正确"),
    warn205("205", "图片格式不正确"),
    warn206("206", "上传图片太大"),
    warn207("207", "设备不存在"),
    warn208("208", "激活码已被使用"),
    warn209("209", "无效的激活码"),
    warn210("210", "摄像头不存在"),
    warn211("211", "用户ID不存在"),
    warn212("212", "请填写正确的商家手机号"),
    warn213("213", "包含敏感词"),
    warn214("214", "直播间已存在"),
    warn215("215", "金币不足"),
    warn216("216", "金币规则不存在"),
    warn217("217", "打赏金额错误"),
    warn218("218", "没有商家"),
    warn219("219", "优惠券已停止兑换"),
    warn220("220", "用户能兑换数量达到上限"),
    warn221("221", "优惠券已全部兑换完"),
    warn222("222", "请上传正确的商品介绍图"),
    warn223("223", "请上传正确的商品介绍视频"),
    error400("400", "安全校验失败"),
    error401("401", "参数校验失败"),
    error402("402", "参数不存在");

    private ResultEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    private String key;
    private String value;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
